Subject: Re: bug#37774: 27.0.50; new :extend attribute broke visuals of all themes and other packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 17 Oct 2019 17:12:47 +0300

On 16.10.2019 23:29, Ergus via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
>> I don't think I agree.  I'm not convinced by the reasons, and I find
>> the new appearance not worse (and sometimes better) than the old.
>>
>> I think the objections are mostly because of the surprising new
>> appearance.
>>
> Agree. I also asked in the emacs telegram group and in general many
> people prefer that "the selection looks like in vim"

I think it's a valid preference, and it'll be nice if people can 
configure their Emacs to do that.

BTW, if we want to adopt the appearance of Vim or Firefox for the region 
display, we should probably avoid highlighting the extra character at 
the end of the line, the one that corresponds to newline apparently.